#ifndef __myTestFnAlloc_Mdlwrp_h__
#define __myTestFnAlloc_Mdlwrp_h__

#undef extern_C
#ifdef __cplusplus
  #define extern_C extern "C"
#else 
  #define extern_C extern
#endif  

//Note: Java-style comment is used for documentation generation and proper readablility.

/**Allocs, initializes and returns the handle to the memory. */
extern_C int ctorAlloc_MyTestFnAlloc_Mdlwrp(int thizInit, double y0);

/**Frees the memory. */
extern_C void dtorFree_MyTestFnAlloc_Mdlwrp(int hthiz);

/**step routine. */
extern_C double step_MyTestFnAlloc_Mdlwrp(int hthiz, double u, double k1);

/**step2 routine. */
extern_C double step2_MyTestFnAlloc_Mdlwrp(int hthiz, double k1, double stepin);

extern_C void getCt_MyTestFnAlloc_Mdlwrp(int hthiz, int* ct1, int* ct2);


#endif //__myTestFnAlloc_Mdlwrp_h__
